<?php
defined('_JEXEC') or die('Restricted access');
?><?php
class plgHikashopFootfact extends JPlugin
{

	protected $autoloadLanguage = true;

	public function __construct(&$subject, $config) {
		parent::__construct($subject, $config);

	}

	public function onHikashopBeforeDisplayView(&$view)
	{

		$lang = JFactory::getLanguage();
		$lang->load('footfact', JPATH_ADMINISTRATOR);

		if( ($view->getLayout()) == "show" && ($view->getName() == "product")) {

			$dom = JFactory::getDocument();
			$dom->addScript("https://ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js");
			$logopath = HIKASHOP_LIVE.'plugins/hikashop/footfact/footfactlogo.png';
			$applebadgepath = HIKASHOP_LIVE.'plugins/hikashop/footfact/applebadge.png';
			$googlebadgepath = HIKASHOP_LIVE.'plugins/hikashop/footfact/googlebadge.png';
			$logoscript = '<script>var footfact_logopath = "' . $logopath . '";</script>';
			$applescript = '<script>var footfact_applebadgepath = "' . $applebadgepath . '";</script>';
			$googlescript = '<script>var footfact_googlebadgepath = "' . $googlebadgepath . '";</script>';
			//$popup_size = '<script>var footfact_popuptext_size_selected = "' . $

			// add paths as javascripts, so javascript can know where the images etc. are

			$dom->addCustomTag($logoscript);
			$dom->addCustomTag($applescript);
			$dom->addCustomTag($googlescript);

      // important: upgrade version here behind footfact.js? when releasing a new version of plugin so browser cache gets emptied

 			$dom->addScript(HIKASHOP_LIVE.'plugins/hikashop/footfact/footfact.js?209');
 			$dom->addScript(HIKASHOP_LIVE.'plugins/hikashop/footfact/kjua.min.js');
			//uncomment this to check if the plugin is running in a hika shop at all, it will replace the html document title
			//$dom->title = "Footfact Plugin Active";
			return true;
		}

	}
}
